=== src/com/netscape/admin/dirserv/panel/replication/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: replication makefile
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/panel/replication
ADMJAVAROOT=$(BUILD_ROOT)/built/java

#
# Don't change the order here, or OSF javac may not be able to
# compile (because of the awful dependencies between the classes)
#
source = \
        $(DEST_DIR)/IAgreementPanel.class\
        $(DEST_DIR)/IReplicationAgreement.class\
        $(DEST_DIR)/IReplicationResourceObject.class\
        $(DEST_DIR)/LDAPUtil.class\
        $(DEST_DIR)/CustomComboBoxModel.class\
        $(DEST_DIR)/CustomComboBox.class\
        $(DEST_DIR)/HostInfoDialog.class\
        $(DEST_DIR)/ReplicationTool.class\
        $(DEST_DIR)/ReplicaPanel.class\
        $(DEST_DIR)/ServerInstance.class\
        $(DEST_DIR)/ProgressStatusDialog.class\
        $(DEST_DIR)/ReplicationAgreement.class\
        $(DEST_DIR)/ORCTask.class\
        $(DEST_DIR)/MMRAgreement.class\
        $(DEST_DIR)/SIRAgreement.class\
        $(DEST_DIR)/AgreementTable.class\
        $(DEST_DIR)/ReplicaConfigTabPanel.class\
        $(DEST_DIR)/ReplicaSettingPanel.class\
        $(DEST_DIR)/LegacyConsumerSettingPanel.class\
        $(DEST_DIR)/LegacySupplierSettingPanel.class\
        $(DEST_DIR)/SupplierSettingPanel.class\
        $(DEST_DIR)/ReplicationSettingPanel.class\
        $(DEST_DIR)/ITabPanel.class\
        $(DEST_DIR)/ReplicationBlankPanel.class\
        $(DEST_DIR)/AgreementWizardInfo.class\
        $(DEST_DIR)/AgreementAttributePanel.class\
        $(DEST_DIR)/AgreementInfoPanel.class\
        $(DEST_DIR)/AgreementDestinationPanel.class\
        $(DEST_DIR)/AgreementPanel.class\
        $(DEST_DIR)/WAgreementPanel.class\
        $(DEST_DIR)/WAgreementAttributePanel.class\
        $(DEST_DIR)/WAgreementDestinationPanel.class\
        $(DEST_DIR)/WAgreementInitPanel.class\
	$(DEST_DIR)/WAgreementSelectionAndInfoPanel.class\
        $(DEST_DIR)/WAgreementSchedulePanel.class\
        $(DEST_DIR)/WAgreementSummaryPanel.class\
        $(DEST_DIR)/ReplicaResourceObject.class\
        $(DEST_DIR)/ReplicationResourceObject.class\
	$(DEST_DIR)/AgreementReader.class\
        $(DEST_DIR)/AgreementResourceObject.class\
        $(DEST_DIR)/AgreementSchedulePanel.class\
        $(DEST_DIR)/AttrCellRenderer.class\
        $(DEST_DIR)/LabelCellRenderer.class\
        $(DEST_DIR)/AgreementWizard.class\
        $(DEST_DIR)/replication.properties

#        $(DEST_DIR)/WAgreementInfoPanel.class\
#        $(DEST_DIR)/WAgreementSelectionPanel.class

all: $(DEST_DIR) $(source)

run: all
	$(JAVA) KFrame

clean:
	rm -f  $(DEST_DIR)/*.class $(DEST_DIR)/*.properties

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm docs/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASS_DIR)$(PATH_SEP)$(CLASSPATH)" -d $(CLASS_DIR) $<

$(DEST_DIR):
	mkdir -p $(DEST_DIR)

$(DEST_DIR)/replication.properties : replication.properties
	cp -p replication.properties $(DEST_DIR)
