## 389-ds-console 1.2.6

=== debian/changelog ===
389-ds-console (1.2.6-0ubuntu1) precise; urgency=low

  * Pull from unreleased debian branch.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 15 Mar 2012 19:58:37 +0200

389-ds-console (1.2.6-1) UNRELEASED; urgency=low

  * Initial release (Closes: #664119)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 12 Oct 2011 01:05:43 +0300
