=== debian/control ===
Source: 389-ds-console
Section: java
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 default-jdk,
 quilt,
 ant,
 libldap-java,
 libidm-console-framework-java, 
Standards-Version: 3.9.3
Homepage: http://directory.fedoraproject.org
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-ds-console.git
Vcs-Browser: http://git.debian.org/?p=pkg-fedora-ds/389-ds-console.git;a=summary

Package: 389-ds-console
Architecture: all
Depends: ${misc:Depends},
 389-admin,
 openjdk-6-jre | java2-runtime,
Recommends: 389-ds-console-doc
Description: 389 Directory Server Management Console
 A Java based remote management console used for managing 389
 Directory Server.

Package: 389-ds-console-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Description: 389 Directory Server Management Console -- documentation
 A Java based remote management console used for managing 389
 Directory Server.
 .
 This package includes the html documentation for 389-ds-console.
