## 389-ds-console 1.2.7

=== debian/changelog ===
389-ds-console (1.2.7-1) unstable; urgency=low

  * New upstream release.
  * watch: Add a comment about the upstream git tree.
  * control:
    - Drop dependency on java runtime, it's not needed and can be
      harmful. (LP: #1097282)
    - use canonical vcs urls.
    - update my email
    - +compat, bump debhelper to 9.
    - bump policy to 3.9.5, no changes.
  * rules: Use bytecode format 1.5. (LP: #1049672)
  * watch: Update the url.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Aug 2014 13:44:15 +0300

389-ds-console (1.2.6-1) unstable; urgency=low

  * Initial release (Closes: #664119)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 12 Oct 2011 01:05:43 +0300
