=== debian/watch ===
#git=git://git.fedorahosted.org/389/ds-console.git
version=3
http://port389.org/sources/389-ds-console-(.*)\.tar\.bz2
