=== src/com/netscape/admin/dirserv/browser/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: 
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/browser

#
# programs list
#
source = \
		$(DEST_DIR)/BrowserController.class \
		$(DEST_DIR)/BrowserEvent.class \
		$(DEST_DIR)/BrowserEventListener.class \
		$(DEST_DIR)/BrowserCellRenderer.class \
		$(DEST_DIR)/IBrowserNodeInfo.class \
		$(DEST_DIR)/BasicNode.class \
		$(DEST_DIR)/SuffixNode.class \
		$(DEST_DIR)/RootNode.class \
		$(DEST_DIR)/NodeTaskQueue.class \
		$(DEST_DIR)/AbstractNodeTask.class \
		$(DEST_DIR)/RefreshTask.class \
		$(DEST_DIR)/LDAPConnectionPool.class \
		$(DEST_DIR)/ChildrenListModel.class \
		$(DEST_DIR)/VListModel.class \
		$(DEST_DIR)/ChildrenController.class \
		$(DEST_DIR)/ChildrenTask.class \
		$(DEST_DIR)/ChildrenCellRenderer.class \
		$(DEST_DIR)/NumSubordinateHacker.class \
		$(DEST_DIR)/IconPool.class 




package = com/netscape/admin/dirserv/browser

all: $(DEST_DIR) $(source)

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

run: $(DEST_DIR) $(source) $(DEST_DIR)/TestBrowser.class
#	/share/builds/components/jdk/1.2.2_05a/SunOS/bin/java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.admin.dirserv.browser.TestBrowser
	env JAVA_COMPILER=NONE /share/builds/components/jdk/1.2.2_05a/SunOS/bin/java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.admin.dirserv.browser.TestBrowser
#	env JAVA_COMPILER=NONE java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.admin.dirserv.browser.TestBrowser
#	env JAVA_COMPILER=NONE /usr/lang/JAVA/jdk1.2.2/bin/java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.admin.dirserv.browser.TestBrowser

run3: $(DEST_DIR) $(source) $(DEST_DIR)/TestBrowser.class
	env JAVA_COMPILER=NONE /usr/lang/JAVA/jdk1.3.1/bin/java -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" com.netscape.admin.dirserv.browser.TestBrowser

OPTIT.dir = /home/jvergara/console/OptimizeIt
OPTIT.cp = $(OPTIT.dir)/lib/optit.jar$(PATH_SEP)$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)
OPTIT.opt = -native -Xnoclassgc -Xrunoii -Djava.compiler=NONE -classpath "$(OPTIT.cp)"
OPTIT.cmd = env LD_LIBRARY_PATH=$(OPTIT.dir)/lib /share/builds/components/jdk/1.2.2/SunOS/bin/java $(OPTIT.opt) intuitive.audit.Audit  -port 5001  -dllpath $(OPTIT.dir)/lib

runopt: $(DEST_DIR) $(source) $(DEST_DIR)/TestBrowser.class
#	$(OPTIT.cmd)  intuitive.audit.Audit  -port 5000  com.netscape.admin.dirserv.browser.TestBrowser
	$(OPTIT.cmd)  com.netscape.admin.dirserv.browser.TestBrowser

optimizeit:
	/home/jvergara/console/OptimizeIt/OptimizeIt &

jdoc: ./doc
	$(JAVADOC) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d ./doc com.netscape.admin.dirserv.browser

jdoc.clean :
	rm -rf ./doc


$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR) ./doc:	
	mkdir -p $@
