=== src/com/netscape/admin/dirserv/node/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: node makefile
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/node

#
# programs list
#
source = \
		$(DEST_DIR)/DSResourceObject.class \
		$(DEST_DIR)/MonitorResourceObject.class \
		$(DEST_DIR)/MonitorDbResourceObject.class \
		$(DEST_DIR)/LogConfigResourceObject.class \
		$(DEST_DIR)/LogResourceObject.class \
		$(DEST_DIR)/SchemaResourceObject.class \
		$(DEST_DIR)/BackupResourceObject.class \
		$(DEST_DIR)/StatusResourceObject.class \
		$(DEST_DIR)/ReplicationStatusResourceObject.class \
		$(DEST_DIR)/DatabaseRootResourceObject.class \
		$(DEST_DIR)/DatabasePluginObject.class \
		$(DEST_DIR)/PluginResourceObject.class \
		$(DEST_DIR)/RootResourceObject.class \
		$(DEST_DIR)/AccessLogResourceObject.class \
		$(DEST_DIR)/AuditLogResourceObject.class \
		$(DEST_DIR)/ErrorLogResourceObject.class \
		$(DEST_DIR)/MappingTreeRootResourceObject.class \
		$(DEST_DIR)/MappingNodeObject.class \
		$(DEST_DIR)/ChainingPluginObject.class \
		$(DEST_DIR)/DataRootResourceObject.class \
		$(DEST_DIR)/SuffixResourceObject.class \
		$(DEST_DIR)/ChainingDatabaseObject.class \
		$(DEST_DIR)/LDBMDatabaseObject.class

package = com/netscape/admin/dirserv/node

all: $(DEST_DIR) $(source)

clean:
	rm -f  $(DEST_DIR)/*.class $(DEST_DIR)/*.properties

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):
	mkdir -p $(DEST_DIR)
