=== src/com/netscape/admin/dirserv/panel/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: framework test
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/panel
ADMJAVAROOT=$(BUILD_ROOT)/built/java

DIRS= ReplicationDir

#
# Don't change the order here, or OSF javac may not be able to
# compile (because of the dependencies between the classes)
#
source = \
		$(DEST_DIR)/IDSEntry.class \
		$(DEST_DIR)/DSEntry.class \
		$(DEST_DIR)/DSEntryBitList.class \
		$(DEST_DIR)/DSEntryBoolean.class \
		$(DEST_DIR)/DSEntryBooleanFake.class \
		$(DEST_DIR)/DSEntryCombo.class \
		$(DEST_DIR)/DSEntryDN.class \
		$(DEST_DIR)/DSEntryFile.class \
		$(DEST_DIR)/DSEntryInteger.class \
		$(DEST_DIR)/DSEntryLong.class \
		$(DEST_DIR)/DSEntryList.class \
		$(DEST_DIR)/DSEntrySet.class \
		$(DEST_DIR)/DSEntryText.class \
		$(DEST_DIR)/DSEntryTextStrict.class \
		$(DEST_DIR)/DSEntryTextArea.class \
		$(DEST_DIR)/DSEntryConfirmPassword.class \
		$(DEST_DIR)/DSEntryPassword.class \
		$(DEST_DIR)/DSFileField.class \
		$(DEST_DIR)/ArrowIcon.class \
		$(DEST_DIR)/SingleByteDocument.class \
		$(DEST_DIR)/CheckBoxTableCellRenderer.class \
		$(DEST_DIR)/CenterAlignedHeaderRenderer.class \
		$(DEST_DIR)/CheckboxTableKeyListener.class \
		$(DEST_DIR)/UIFactory.class \
		$(DEST_DIR)/BlankPanel.class \
		$(DEST_DIR)/ContainerPanel.class \
		$(DEST_DIR)/DSTabbedPanel.class \
		$(DEST_DIR)/GroupPanel.class \
		$(DEST_DIR)/BackendPanel.class \
	        $(DEST_DIR)/DSLogViewer.class \
		$(DEST_DIR)/SimpleDialog.class \
		$(DEST_DIR)/ConfirmationPreferencesPanel.class \
		$(DEST_DIR)/BackupPanel.class \
		$(DEST_DIR)/RestorePanel.class \
		$(DEST_DIR)/AccountLockoutPanel.class \
		$(DEST_DIR)/AttributeDialog.class \
		$(DEST_DIR)/LDBMPluginSettingPanel.class \
		$(DEST_DIR)/SelectionPanel.class \
		$(DEST_DIR)/IndexManagementPanel.class \
		$(DEST_DIR)/DefaultIndexManagementPanel.class \
		$(DEST_DIR)/NewIndexPanel.class \
		$(DEST_DIR)/PasswordPolicyTabbedDialog.class \
		$(DEST_DIR)/PasswordPolicyPanel.class \
		$(DEST_DIR)/LDBMSettingsPanel.class \
		$(DEST_DIR)/LDBMPluginPanel.class \
		$(DEST_DIR)/LDBMInstancePanel.class \
		$(DEST_DIR)/NewChainingInstancePanel.class\
		$(DEST_DIR)/EncryptionPanel.class \
		$(DEST_DIR)/RefreshablePanel.class \
		$(DEST_DIR)/LogContentPanel.class \
		$(DEST_DIR)/AccessLogContentPanel.class \
		$(DEST_DIR)/ErrorLogContentPanel.class \
		$(DEST_DIR)/AuditLogContentPanel.class \
		$(DEST_DIR)/LogPanel.class \
		$(DEST_DIR)/AccessLogConfigurePanel.class \
		$(DEST_DIR)/AuditLogConfigurePanel.class \
		$(DEST_DIR)/ErrorLogConfigurePanel.class \
		$(DEST_DIR)/LogFileConfigurePanel.class \
		$(DEST_DIR)/IndexAttrUtility.class \
		$(DEST_DIR)/MonitorBasePanel.class \
		$(DEST_DIR)/MonitorDatabasePanel.class \
		$(DEST_DIR)/MonitorPanel.class \
		$(DEST_DIR)/MonitorServerPanel.class \
		$(DEST_DIR)/ObjectClassDialog.class \
		$(DEST_DIR)/PluginPanel.class \
		$(DEST_DIR)/FilePanel.class \
		$(DEST_DIR)/DatabaseRootPanel.class \
		$(DEST_DIR)/DatabaseExportPanel.class \
		$(DEST_DIR)/DatabaseImportPanel.class \
		$(DEST_DIR)/LDAPAddPanel.class \
		$(DEST_DIR)/SchemaManagementPanel.class \
		$(DEST_DIR)/SchemaAttributesPanel.class \
		$(DEST_DIR)/SchemaMatchingRulesPanel.class \
		$(DEST_DIR)/SchemaObjectClassesPanel.class \
		$(DEST_DIR)/SchemaUtility.class \
		$(DEST_DIR)/ServerManagerPanel.class \
		$(DEST_DIR)/ServerPerformancePanel.class \
		$(DEST_DIR)/ServerSNMPSettingsPanel.class \
		$(DEST_DIR)/ServerSettingsPanel.class \
		$(DEST_DIR)/RootPanel.class \
		$(DEST_DIR)/ReplicationStatusPanel.class \
		$(DEST_DIR)/GalleryPanel.class \
		$(DEST_DIR)/ConfigEntry.class \
		$(DEST_DIR)/LabelTableCellRenderer.class \
		$(DEST_DIR)/StatusPanel.class \
		$(DEST_DIR)/ForwardingContainerPanel.class \
		$(DEST_DIR)/NewMappingNodePanel.class \
		$(DEST_DIR)/BackendPanel.class \
                $(DEST_DIR)/MappingUtils.class \
                $(DEST_DIR)/MappingNodePanel.class \
                $(DEST_DIR)/MappingNodeSettingPanel.class \
                $(DEST_DIR)/MappingNodeRefPanel.class \
                $(DEST_DIR)/MappingNodeBckPanel.class \
                $(DEST_DIR)/LDAPUrlPanel.class \
                $(DEST_DIR)/LDAPUrlDialog.class \
                $(DEST_DIR)/BckListPanel.class \
		$(DEST_DIR)/ChainingPluginPanel.class \
		$(DEST_DIR)/ChainingInstancePanel.class \
		$(DEST_DIR)/ChainingInstanceConnPanel.class \
		$(DEST_DIR)/ChainingInstanceAuthPanel.class \
		$(DEST_DIR)/ChainingSettingPanel.class \
		$(DEST_DIR)/ChainingDefaultPanel.class \
		$(DEST_DIR)/ListChooserPanel.class \
		$(DEST_DIR)/NewLDBMPanel.class \
		$(DEST_DIR)/NewChainingPanel.class \
		$(DEST_DIR)/NewSuffixPanel.class \
		$(DEST_DIR)/confirmDeleteSuffixPanel.class \
		$(DEST_DIR)/ReferralEditor.class \
		$(DEST_DIR)/NonResolvedReferralDialog.class


all: $(DEST_DIR) $(source) $(DIRS)

run: all
	$(JAVA) -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)$(PATH_SEP)$(ADMJAVAROOT)" com.netscape.management.client.console.Console localhost 389 "o=Airius.com"

$(DEST_DIR)/layout.% : layout.%
	cp layout.* $(DEST_DIR)

clean:
	rm -f $(DEST_DIR)/*.class;
	cd replication; $(MAKE) $(MFLAGS) clean

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm docs/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASS_DIR)$(PATH_SEP)$(CLASSPATH)" -d $(CLASS_DIR) $<


$(DEST_DIR):
	mkdir -p $(DEST_DIR)

ReplicationDir:
	cd replication; $(MAKE) $(MFLAGS)
