=== src/com/netscape/admin/dirserv/roledit/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: 
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/roledit

#
# programs list
#
source = \
		$(DEST_DIR)/ResEditorRadioPage.class \
		$(DEST_DIR)/ResEditorRoleInfo.class \
		$(DEST_DIR)/ResEditorRoleMembers.class \
		$(DEST_DIR)/ResEditorRoleAccountPage.class \
		$(DEST_DIR)/ResEditorManagedRole.class \
		$(DEST_DIR)/ResEditorFilteredRole.class \
		$(DEST_DIR)/ResEditorNestedRole.class \
		$(DEST_DIR)/ResEditorRoleTitlePage.class \
		$(DEST_DIR)/RolePickerDialog.class \
		$(DEST_DIR)/RoleEditorDialog.class \
		$(DEST_DIR)/RoleEditorTab.class \
		$(DEST_DIR)/RoleCache.class


package = com/netscape/admin/dirserv/roledit

all: $(DEST_DIR) $(source)

run: all
	java KFrame

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)
