=== debian/changelog ===
389-ds-console (1.2.12-1) unstable; urgency=medium

  * New upstream release. (Closes: #789990)
  * watch: Update the url.
  * control: Bump standards to 3.9.6, no changes.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Jul 2015 08:40:56 +0300
