=== src/com/netscape/admin/dirserv/task/Makefile ===
#
# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
# END COPYRIGHT BLOCK
#
#   Name: framework test
#   Platform: gmake
# --------------------------------------------------------------------------
override BUILD_MODULE=HTTP_ADMIN

NOSTDCLEAN=true
NO_BUILD_NUM=true

BUILD_ROOT=../../../../../../../../..

include $(BUILD_ROOT)/nsconfig.mk
include $(BUILD_ROOT)/ldap/javarules.mk

DEST_DIR=$(DSADMIN_DIR)/dirserv/task

#
# programs list
#
source = \
		$(DEST_DIR)/Authenticate.class \
		$(DEST_DIR)/Backup.class \
		$(DEST_DIR)/CGITask.class \
		$(DEST_DIR)/CGIReportTask.class \
		$(DEST_DIR)/CGIThread.class \
		$(DEST_DIR)/Export.class \
		$(DEST_DIR)/Import.class \
		$(DEST_DIR)/CompleteImport.class \
		$(DEST_DIR)/CompleteExport.class \
		$(DEST_DIR)/KeyCert.class \
		$(DEST_DIR)/ListDB.class \
		$(DEST_DIR)/NewInstanceDialog.class \
		$(DEST_DIR)/MigrateCreate.class \
		$(DEST_DIR)/Stop.class \
		$(DEST_DIR)/Start.class \
		$(DEST_DIR)/Restart.class \
		$(DEST_DIR)/Restore.class \
		$(DEST_DIR)/Remove.class \
		$(DEST_DIR)/ReadOnly.class \
		$(DEST_DIR)/AddIndex.class \
		$(DEST_DIR)/CreateVLVIndex.class \
		$(DEST_DIR)/LDAPTask.class \
		$(DEST_DIR)/LDAPImport.class \
		$(DEST_DIR)/LDAPExport.class \
		$(DEST_DIR)/LDAPBackup.class \
		$(DEST_DIR)/LDAPRestore.class \
		$(DEST_DIR)/LDAPCreateIndex.class \
		$(DEST_DIR)/LDAPTaskProgressDialog.class \
		$(DEST_DIR)/LDAPBasicProgressDialog.class \
		$(DEST_DIR)/SnmpCtrl.class

package = com/netscape/admin/dirserv/task

all: $(DEST_DIR) $(source)

run: all
	java KFrame

clean:
	rm -f  $(DEST_DIR)/*.class;

fresh: $(clean) $(all)

javadoc:
	$(JAVADOC) -d $(DSADMIN_DOC_DIR) *.java $(package)

cleandoc:
	rm $(DSADMIN_DOC_DIR)/*.html

$(DEST_DIR)/%.class : %.java
	$(JAVAC) -deprecation -classpath "$(CLASSPATH)$(PATH_SEP)$(CLASS_DIR)" -d $(CLASS_DIR) $<

$(DEST_DIR):	
	mkdir -p $(DEST_DIR)
