=== debian/changelog ===
389-ds-console (1.2.16-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Dec 2016 11:16:24 +0200
