=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ant,
  libldap-java,
  libidm-console-framework-java, 
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://directory.fedoraproject.org
 Vcs-Git: git://anonscm.debian.org/pkg-fedora-ds/389-ds-console.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-fedora-ds/389-ds-console.git
